#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Dir="$Script_Dir"/..
export Chronicall_Pid="chronicallServerPid"

#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Pid"` > "$Script_Dir"/chronicallProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallProcessAliveTest.txt ]
	then
		rm "$Script_Dir"/chronicallProcessAliveTest.txt
		echo Chronicall Server is already running
	else
		echo Starting Chronicall Server
		rm "$Script_Dir"/chronicallProcessAliveTest.txt
		ulimit -n 30000
		nohup "$Script_Dir"/ChronicallServer > "$Chronicall_Dir"/tomcat/logs/stdout 2> "$Chronicall_Dir"/tomcat/logs/stderr &
		echo "$!" > "$Script_Dir"/"$Chronicall_Pid"
	fi
else
	echo Starting Chronicall Server
	ulimit -n 30000
	nohup "$Script_Dir"/ChronicallServer > "$Chronicall_Dir"/tomcat/logs/stdout 2> "$Chronicall_Dir"/tomcat/logs/stderr &
	echo "$!" > "$Script_Dir"/"$Chronicall_Pid"
fi